Closed Bug 1504985 Opened 11 months ago Closed 6 months ago

Intermittent browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | Test timed out -

Categories

(Firefox :: Address Bar, defect, P1)

defect
Points:
2

Tracking

()

RESOLVED FIXED
Firefox 65
Iteration:
65.4 - Dec 3-9
Tracking Status
firefox65 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: dao)

References

Details

(Keywords: intermittent-failure)

Attachments

(2 files, 1 obsolete file)

Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=210015753&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/DC5lBMHVTGa3FsBZD4wSlA/runs/0/artifacts/public/logs/live_backing.log

[task 2018-11-06T10:57:27.710Z] 10:57:27     INFO - TEST-START | browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js
[task 2018-11-06T10:57:27.812Z] 10:57:27     INFO - GECKO(1053) | [Parent 1053, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x804B000A: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 450
[task 2018-11-06T10:57:27.814Z] 10:57:27     INFO - GECKO(1053) | [Parent 1053, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, *this) failed with result 0x804B000A: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 605
[task 2018-11-06T10:57:27.816Z] 10:57:27     INFO - GECKO(1053) | [Parent 1053, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, mStatus) failed with result 0x804B000A: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 644
[task 2018-11-06T10:57:28.039Z] 10:57:28     INFO - GECKO(1053) | --DOMWINDOW == 4 (0x7fec9ce56600) [pid = 1146] [serial = 1] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:29.699Z] 10:57:29     INFO - GECKO(1053) | --DOCSHELL 0x7f0dec1d3000 == 0 [pid = 1237] [id = {8303a236-329e-429d-9e3e-f752a72b3190}]
[task 2018-11-06T10:57:30.462Z] 10:57:30     INFO - GECKO(1053) | --DOMWINDOW == 2 (0x7fbfa8cc5400) [pid = 1212] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:30.803Z] 10:57:30     INFO - GECKO(1053) | --DOMWINDOW == 3 (0x7fec858e0800) [pid = 1146] [serial = 4] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:30.804Z] 10:57:30     INFO - GECKO(1053) | --DOMWINDOW == 2 (0x7fec86520000) [pid = 1146] [serial = 3] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:31.022Z] 10:57:31     INFO - GECKO(1053) | --DOCSHELL 0x7fa93c8d4800 == 0 [pid = 1258] [id = {ec0871a8-5d83-48c5-b651-fc1d4f8e2de9}]
[task 2018-11-06T10:57:32.414Z] 10:57:32     INFO - GECKO(1053) | --DOCSHELL 0x7f9efeed4800 == 0 [pid = 1276] [id = {a445edc5-d674-44fb-9f93-65776772bc09}]
[task 2018-11-06T10:57:33.265Z] 10:57:33     INFO - GECKO(1053) | [Parent 1053, StreamTrans #29] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/modules/libjar/nsJARChannel.cpp, line 434
[task 2018-11-06T10:57:33.266Z] 10:57:33     INFO - GECKO(1053) | [Parent 1053, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/worker/workspace/build/src/modules/libjar/nsJARChannel.cpp, line 1142
[task 2018-11-06T10:57:33.739Z] 10:57:33     INFO - GECKO(1053) | --DOCSHELL 0x7f7d5ffd7800 == 0 [pid = 1294] [id = {84928f74-a8b9-45ce-8a53-82d8e5de4186}]
[task 2018-11-06T10:57:33.925Z] 10:57:33     INFO - GECKO(1053) | --DOMWINDOW == 4 (0x7f341eb56000) [pid = 1184] [serial = 1] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:35.010Z] 10:57:35     INFO - GECKO(1053) | --DOCSHELL 0x7f250d9d8800 == 0 [pid = 1312] [id = {13b3ba76-9d3d-4bb2-8146-215a8c435a6c}]
[task 2018-11-06T10:57:35.011Z] 10:57:35     INFO - GECKO(1053) | --DOMWINDOW == 22 (0x7fac5d672400) [pid = 1053] [serial = 14] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:35.012Z] 10:57:35     INFO - GECKO(1053) | --DOMWINDOW == 21 (0x7fac7df1bc00) [pid = 1053] [serial = 12] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:35.013Z] 10:57:35     INFO - GECKO(1053) | --DOMWINDOW == 20 (0x7fac7df18400) [pid = 1053] [serial = 10] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:35.014Z] 10:57:35     INFO - GECKO(1053) | --DOMWINDOW == 19 (0x7fac6b053400) [pid = 1053] [serial = 8] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:35.017Z] 10:57:35     INFO - GECKO(1053) | --DOMWINDOW == 18 (0x7fac6464f400) [pid = 1053] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:35.530Z] 10:57:35     INFO - GECKO(1053) | --DOMWINDOW == 17 (0x7fac5b361000) [pid = 1053] [serial = 19] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:36.298Z] 10:57:36     INFO - GECKO(1053) | --DOCSHELL 0x7f9e49bd7800 == 0 [pid = 1330] [id = {325aec4f-131c-4d07-9bd8-6cd934f13e67}]
[task 2018-11-06T10:57:37.967Z] 10:57:37     INFO - GECKO(1053) | --DOMWINDOW == 3 (0x7f34076c0400) [pid = 1184] [serial = 4] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:37.968Z] 10:57:37     INFO - GECKO(1053) | --DOMWINDOW == 2 (0x7f34076b1800) [pid = 1184] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:39.520Z] 10:57:39     INFO - GECKO(1053) | --DOMWINDOW == 1 (0x7f0e03854200) [pid = 1237] [serial = 1] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:40.717Z] 10:57:40     INFO - GECKO(1053) | --DOMWINDOW == 1 (0x7fa953f57800) [pid = 1258] [serial = 1] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:41.120Z] 10:57:41     INFO - GECKO(1053) | --DOMWINDOW == 1 (0x7fec9ce55200) [pid = 1146] [serial = 5] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:41.122Z] 10:57:41     INFO - GECKO(1053) | --DOCSHELL 0x7fec85833800 == 0 [pid = 1146] [id = {92614d89-636e-44ac-9ad5-59b0705d6ed9}]
[task 2018-11-06T10:57:41.842Z] 10:57:41     INFO - GECKO(1053) | --DOMWINDOW == 16 (0x7fac5b1e3c00) [pid = 1053] [serial = 20] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:42.328Z] 10:57:42     INFO - GECKO(1053) | --DOMWINDOW == 1 (0x7f9f16457800) [pid = 1276] [serial = 1] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:43.544Z] 10:57:43     INFO - GECKO(1053) | --DOMWINDOW == 0 (0x7f0dec2a8400) [pid = 1237] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:43.701Z] 10:57:43     INFO - GECKO(1053) | --DOMWINDOW == 1 (0x7f7d77657800) [pid = 1294] [serial = 1] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:44.757Z] 10:57:44     INFO - GECKO(1053) | --DOMWINDOW == 0 (0x7fa93c99dc00) [pid = 1258] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:44.959Z] 10:57:44     INFO - GECKO(1053) | --DOMWINDOW == 1 (0x7f2525057800) [pid = 1312] [serial = 1] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:45.157Z] 10:57:45     INFO - GECKO(1053) | --DOMWINDOW == 0 (0x7fec858dc000) [pid = 1146] [serial = 6] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:46.220Z] 10:57:46     INFO - GECKO(1053) | --DOMWINDOW == 1 (0x7f9e61157800) [pid = 1330] [serial = 1] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:46.357Z] 10:57:46     INFO - GECKO(1053) | --DOMWINDOW == 0 (0x7f9efef97c00) [pid = 1276] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:47.744Z] 10:57:47     INFO - GECKO(1053) | --DOMWINDOW == 0 (0x7f7d600a8c00) [pid = 1294] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:49.009Z] 10:57:49     INFO - GECKO(1053) | --DOMWINDOW == 0 (0x7f250e8dbc00) [pid = 1312] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:57:50.259Z] 10:57:50     INFO - GECKO(1053) | --DOMWINDOW == 0 (0x7f9e49caac00) [pid = 1330] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-11-06T10:58:57.856Z] 10:58:57     INFO - TEST-INFO | started process screentopng
[task 2018-11-06T10:58:58.748Z] 10:58:58     INFO - TEST-INFO | screentopng: exit 0
[task 2018-11-06T10:58:58.748Z] 10:58:58     INFO - Buffered messages logged at 10:57:27
[task 2018-11-06T10:58:58.748Z] 10:58:58     INFO - Entering test bound 
[task 2018-11-06T10:58:58.748Z] 10:58:58     INFO - TEST-PASS | browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | Urlbar isn't overflowing - 
[task 2018-11-06T10:58:58.748Z] 10:58:58     INFO - TEST-PASS | browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | title attribute shouldn't be set - 
[task 2018-11-06T10:58:58.748Z] 10:58:58     INFO - Buffered messages finished
[task 2018-11-06T10:58:58.748Z] 10:58:58     INFO - TEST-UNEXPECTED-FAIL | browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | Test timed out - 
[task 2018-11-06T10:58:58.749Z] 10:58:58     INFO - GECKO(1053) | MEMORY STAT | vsize 1884MB | residentFast 270MB | heapAllocated 73MB
[task 2018-11-06T10:58:58.751Z] 10:58:58     INFO - TEST-OK | browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | took 90165ms
Status: NEW → RESOLVED
Closed: 11 months ago
Resolution: --- → DUPLICATE
Duplicate of bug: 1503561
Dao: this is not a duplicate as it already contains the fix from 1503561.

https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=bd0ce1c2d8f6afadecc36a17ba6f8512e2717f4e&selectedJob=210015753
Status: RESOLVED → REOPENED
Flags: needinfo?(dao+bmo)
Resolution: DUPLICATE → ---
Summary: Perma TV browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | Test timed out - → Perma browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | Test timed out -
Summary: Perma browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | Test timed out - → Intermittent browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | Test timed out -
This bug failed 45 times in the last 7 days. Occurs on Linux64 on asan.

Log:
https://treeherder.mozilla.org/logviewer.html#?job_id=212320292&repo=mozilla-central&lineNumber=2528

mak: Can you please take a look at this bug?
Flags: needinfo?(mak77)
Dão, can you please take a look at this frequent intermittent? I think you know more about this specific unit test than Marco does.
Flags: needinfo?(mak77)
Assignee: nobody → ccoroiu
Attachment #9027776 - Flags: review?(jmaher)
Comment on attachment 9027776 [details] [diff] [review]
Disable browser_UrlbarInput_tooltip.js for frequent failures on linux and win10 asan

Review of attachment 9027776 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/components/urlbar/tests/browser/browser.ini
@@ +9,4 @@
>  [browser_UrlbarInput_formatValue.js]
>  [browser_UrlbarInput_overflow.js]
>  [browser_UrlbarInput_tooltip.js]
> +skip-if = asan && ((os == 'win' && os_version == "10.0") || (os == "linux")) # Bug 1504985

I would simplify this as we only have asan for linux and win10, just do:
skip-if = asan # Bug 1504985
Attachment #9027776 - Flags: review?(jmaher) → review-
Attached patch modified patchSplinter Review
Modified with what you asked, please take a look.
Attachment #9027776 - Attachment is obsolete: true
Attachment #9027872 - Flags: review?(jmaher)
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/fd18c9b95180
disable browser_UrlbarInput_tooltip.js on linux and win10 asan for frequent failures r=jmaher
Keywords: checkin-needed
Blocks: 1504191
Priority: P5 → P1
Depends on: 1510599
It looks like bug 1504872 solved this, at least in the non-asan case. I'm leaving this open for fixing (if needed) and re-enabling on asan.
Assignee: ccoroiu → dao+bmo
Depends on: 1504872
Flags: needinfo?(dao+bmo)
There are 104 failures (non-asan) in the last 2 days.
- windows7-32  - 45 failures
- linux64      - 27 failures
- linux32      - 18 failures
- osx-10-10    - 10 failures
- windows10-64 - 4 failures

::dao, unfortunately it hasn`t.
However, it seems that it started to spike from https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=ae07b833833146811d507abd3166794be91b1fa4&selectedJob=215022245.
Could you please take a look?
Flags: needinfo?(dao+bmo)
I commented in the wrong bug. I meant to comment in bug 1504871.
No longer depends on: 1504872
Flags: needinfo?(dao+bmo)
:johannh , this started to spike from your push
https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=ae07b833833146811d507abd3166794be91b1fa4&selectedJob=215022245

Could you please take a look?
Flags: needinfo?(jhofmann)
Johann filed bug 1511655 on that.
Flags: needinfo?(jhofmann)
See Also: → 1511655
The textoverflow attribute is set asynchronously thanks to bug 1419391,
making this test more complicated than necessary. We can use the private
_overflowing (UrlbarInput) and _inOverflow (urlbarBindings.xml) flags
instead.
Dao this is not perma failing and we assume that it's from bug 1504872.
I'm still looking into it. It seems to be fixed by bug 1501992 but still waiting on retriggers. This is permafailing on linux x64 opt and pgo.
Flags: needinfo?(dao+bmo)
(In reply to Andreea Pavel [:apavel] from comment #24)
> Dao this is not perma failing and we assume that it's from bug 1504872.
> I'm still looking into it. It seems to be fixed by bug 1501992 but still
> waiting on retriggers. This is permafailing on linux x64 opt and pgo.

I'm not sure what you're saying. It's not perma failing but it is perma failing on linux x64?

Bug 1501992 disabled this test on Windows.
Flags: needinfo?(dao+bmo)
Pushed by dgottwald@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e65a1d1d653c
Remove dependency on the textoverflow attribute from browser_UrlbarInput_tooltip.js. r=mak
I don't know why exactly this started or stopped timing out permanently. This bug is about this test timing out intermittently, which is likely the underlying problem that somehow became permanent under certain conditions.
Keywords: leave-open
Blocks: 1511655
See Also: 1511655
Quite strange that my test is fixing it in one instance and breaking it in another... I'm planning to look into this test for the Windows failures anyway, so feel free to disable this more aggressively to avoid the extra work.

Maybe Dão and I should have a quick chat next week about what exactly is happening here...
Duplicate of this bug: 1503561
https://hg.mozilla.org/mozilla-central/rev/e65a1d1d653c
Status: REOPENED → RESOLVED
Closed: 11 months ago11 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 65
Whiteboard: [stockwell disabled]
Whiteboard: [stockwell disable-recommended]

This started to fail again: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=238164451&repo=mozilla-beta&lineNumber=3486

[task 2019-04-04T14:54:37.598Z] 14:54:37 INFO - TEST-START | browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js
[task 2019-04-04T14:55:22.622Z] 14:55:22 INFO - TEST-INFO | started process screentopng
[task 2019-04-04T14:55:23.061Z] 14:55:23 INFO - TEST-INFO | screentopng: exit 0
[task 2019-04-04T14:55:23.062Z] 14:55:23 INFO - Buffered messages logged at 14:54:37
[task 2019-04-04T14:55:23.062Z] 14:55:23 INFO - Entering test bound
[task 2019-04-04T14:55:23.062Z] 14:55:23 INFO - Buffered messages finished
[task 2019-04-04T14:55:23.064Z] 14:55:23 INFO - TEST-UNEXPECTED-FAIL | browser/components/urlbar/tests/browser/browser_UrlbarInput_tooltip.js | Test timed out -
[task 2019-04-04T14:55:23.064Z] 14:55:23 INFO - GECKO(6934) | MEMORY STAT | vsize 1923MB | residentFast 316MB | heapAllocated 117MB

Status: RESOLVED → REOPENED
Resolution: FIXED → ---

I'm re-closing this. Firstly we shouldn't be re-opening 4-month old bugs, especially when they were fixed at the time - The cause is likely different and it makes it more of an issue if patches need to be uplifted.

Secondly, the latest https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-08&endday=2019-04-15&tree=trunk&bug=1504985 says this went away on the 10th.

Status: REOPENED → RESOLVED
Closed: 11 months ago6 months ago
Resolution: --- → FIXED
See Also: → 1545974
Iteration: --- → 65.4 - Dec 3-9
Points: --- → 2
You need to log in before you can comment on or make changes to this bug.